%global srcname webcolors

Summary:        A library for working with HTML and CSS color names and value formats
Name:           python-%{srcname}
Version:        1.13
Release:        1%{?dist}
License:        BSD
URL:            https://github.com/ubernostrum/webcolors
Source0:        %pypi_source

BuildRequires:  python3-devel  python3-pytest

BuildArch:      noarch


%description 
This package provides a module for working with HTML/CSS color definitions.

Support is included for normalizing and converting between the following formats (RGB colorspace 
only; conversion to/from HSL can be handled by the colorsys module in the Python standard library):
 * Specification-defined color names
 * Six-digit hexadecimal
 * Three-digit hexadecimal
 * Integer rgb() triplet
 * Percentage rgb() triplet


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} 
This package provides a module for working with HTML/CSS color definitions.

Support is included for normalizing and converting between the following formats (RGB colorspace 
only; conversion to/from HSL can be handled by the colorsys module in the Python standard library):
* Specification-defined color names
* Six-digit hexadecimal
* Three-digit hexadecimal
* Integer rgb() triplet
* Percentage rgb() triplet


%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files webcolors

%check
%pytest -v

%files -n python3-webcolors -f %{pyproject_files}
%doc README.rst

%changelog
* Wed Sep 27 2023 Shuo Wang <abushwang@tencent.com> - 1.13-1
- update to 1.13

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 Wang Guodong <gordonwwang@tencent.com> - 1.12-1
- initial build
